Skip to main content
POST
Bulk action on library rows

Authorizations

api_access_token
string
header
required

Path Parameters

account_id
integer
required

The numeric ID of the account

Body

application/json
bulk_action
enum<string>
required

Action to apply

Available options:
forward,
share,
reassign_owner,
move,
archive,
convert_presigned
items
object[]
required
Maximum array length: 100
conversation_id
integer

forward: conversation display id

content
string

forward: message text

grantee_kind
string

share: kind of grantee

grantee_id
integer

share: grantee id

grantee_role
string

share: grantee role

access
string

share: access level

user_id
integer

reassign_owner: new owner

folder_id
integer | null

move: destination folder. Blank moves to the root.

Response

Success

results
object[]
done
integer
skipped
integer